Bug Hunting Session
Bug 46823 - EDITING: Misspelled word with various direct formatting applied to it isnt preserved when corrected
Summary: EDITING: Misspelled word with various direct formatting applied to it isnt pr...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2012-03-01 05:53 UTC by Leandro
Modified: 2018-06-11 02:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leandro 2012-03-01 05:53:17 UTC
Problem description: BOLD automatically lost

Steps to reproduce:

1. click the right mouse button directly on the text marked for correction (underlined in red) in bold letters, and accept any suggestions. The word will change, but will lose the bold.

Current behavior:

The word will change, but will lose the bold.

Expected behavior:

The word will change, but must continue with the bold.

Platform (if different from the browser): 

Windows 7, Libreoffice 3.5.1.1 RC1
              
Browser: Mozilla/5.0 (Windows NT 6.1) AppleWebKit/535.11 (KHTML, like Gecko) Chrome/17.0.963.56 Safari/535.11
Comment 1 Jose Manuel 2012-04-20 12:47:40 UTC
[Not Reproducible] with "LibreOffice 3.3.4 - Ubuntu 11.04 (32bit) Spanish UI"
Comment 2 Javier Catalá 2012-04-21 08:43:57 UTC
[Not reproducible] with "LibreOffice 3.5.2 - Windows Vista Home Premium (32bit) Spanish UI"
Comment 3 sasha.libreoffice 2012-05-29 04:39:41 UTC
Thanks for bugreport
reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit, but only if part of word is bold, or after word is punctuation mark.
Steps to reproduce:
0. Start Writer and change language of document to English
1. Enter asdf.
2. Select asdf and make it bold (select without dot at end)
3. right mouse click, select proposed variant
Expected: Word remains bold
Actually: Word becomes non-bold
This happens because Writer determines character attributes by last character in word. But in this case last character is dot. And it is not bold.
Comment 4 Yousuf Philips (jay) (retired) 2014-06-25 02:11:51 UTC
Confirmed using comment 3 that its still present in 4.3.0 and is there also in 3.3.0.
Comment 5 Radu 2015-04-04 16:16:07 UTC
Still present in : 4.5.0.0.alpha0+
Comment 6 tommy27 2016-04-16 07:26:45 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-05-22 13:22:48 UTC Comment hidden (obsolete)
Comment 8 Yousuf Philips (jay) (retired) 2017-06-09 21:01:23 UTC
Still present. So basically it uses the formatting applied to the left letter of the mispelled word and applies it to the entire word. This happens both in the context menu and the spelling dialog.

Version: 5.5.0.0.alpha0+
Build ID: ddf8539d97ce044b7df8d51d6ec72ec864b40fb8
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-06-04_22:10:59
Locale: en-US (en_US.UTF-8); Calc: group
Comment 9 QA Administrators 2018-06-11 02:34:34 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug